#
# spec file for package efibootmgr (Version 0.5.4)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           efibootmgr
Summary:        EFI Boot Manager
Version:        0.5.4
Release:        15.4.29
Group:          System/Boot
License:        GPL v2 or later
Url:            http://linux.dell.com/efibootmgr/
Source:         http://linux.dell.com/efibootmgr/efibootmgr-%{version}.tar.gz
Patch0:         %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pciutils-devel
ExclusiveArch:  ia64 x86_64

%description
The EFI Boot Manager allows the user to edit the Intel Extensible
Firmware Interface (EFI) Boot Manager variables.  Additional
information about the EFI can be found at
<http://developer.intel.com/technology/efi/efi.htm>.



Authors:
--------
    Matt Domsch <Matt_Domsch@dell.com>

%prep
%setup -q
%patch0 -p1
chmod +x tools/install.pl

%build
make %{?_smp_mflags} EXTRA_CFLAGS="$RPM_OPT_FLAGS"

%install
install -d $RPM_BUILD_ROOT%{_sbindir}
make install BINDIR=$RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 644 src/man/man8/efibootmgr.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README
%{_sbindir}/efibootmgr
%{_mandir}/man8/*.gz

%changelog
* Thu Apr 30 2009 ro@suse.de
- sle10sp3 submit for fate#306032
* Wed Oct 15 2008 ro@suse.de
- added ExclusiveArch
* Thu Jul 31 2008 rw@suse.de
- Update to efibootmgr 0.5.4.  [FATE#301882]
* Fri Jan 18 2008 rw@suse.de
- Return non-zero exit code on errors. [#307965, FATE#302608]
* Wed Dec 20 2006 rw@suse.de
- Use '&' instead of '&&' to mask bits. [#219735]
- Fix compilation for STABLE.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  9 2005 schwab@suse.de
- Update to efibootmgr 0.5.3.
* Mon Sep 19 2005 schwab@suse.de
- Update to efibootmgr 0.5.2.2.
* Wed Aug 10 2005 schwab@suse.de
- Update to efibootmgr 0.5.2 [#102441].
* Tue May 10 2005 schwab@suse.de
- Fix parsing of bus info for network boot entry [#82882].
* Wed Mar  9 2005 schwab@suse.de
- Update to efibootmgr 0.5.1.
* Fri Aug 27 2004 schwab@suse.de
- Update to efibootmgr 0.5.0.
* Thu Jun 10 2004 schwab@suse.de
- Update to efibootmgr 0.5.0-test4.
* Mon May  3 2004 schwab@suse.de
- Update to efibootmgr 0.5.0-test3.
* Fri Sep  5 2003 schwab@suse.de
- Update to efibootmgr 0.4.2.
* Wed Oct 23 2002 schwab@suse.de
- Update to efibootmgr 0.4.1.
* Sun May  5 2002 schwab@suse.de
- Update to efibootmgr 0.4.0.
* Fri Aug 10 2001 schwab@suse.de
- Update to efibootmgr 0.3.4.
* Wed May 23 2001 schwab@suse.de
- Update to efibootmgr 0.3.2.
* Tue May 22 2001 schwab@suse.de
- Fix uninitialized variable.
* Sat May 19 2001 schwab@suse.de
- Initial version 0.3.1.
